Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005481 [JEDI VCL] 00 JVCL Components major always 2011-02-14 19:15 2011-09-21 14:10
Reporter caduser View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005481: jvRichEdit does not expose the default context popup menu
Description The jvRichEdit does not expose the default context popup menu when the rich edit is right-clicked. (Delphi XE)



This is a regression issue. It was working as expected in Delphi 2007
Additional Information
Tags No tags attached.
Attached Files zip file icon Projects.zip [^] (885,682 bytes) 2011-02-15 16:30

- Relationships

-  Notes
(0018363)
obones (administrator)
2011-02-15 13:53

Doesn't this also happen with the regular TRichEdit?
(0018364)
obones (administrator)
2011-02-15 13:53

Also, please provide the zipped sources of a sample application showing this.
(0018368)
caduser (reporter)
2011-02-15 16:32

This is a regression issue. It was working as expected in jvRichEdit JVCL 3.36 Delphi 2007
(0018390)
caduser (reporter)
2011-02-19 10:44

See Attached Files
(0018460)
caduser (reporter)
2011-03-20 09:22

up
(0018482)
caduser (reporter)
2011-03-30 11:12

do not call the function:
function TJvCustomRichEdit.GetPopupMenu: TPopupMenu;
(0018668)
obones (administrator)
2011-06-08 14:52

I'm seeing it as well the implementation of TCustomEdit.WMContextMenu has changed from D2007 to DXE and that has a huge impact.
I'll try to find a way to work around that
(0018669)
obones (administrator)
2011-06-08 15:08

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-02-14 19:15 caduser New Issue
2011-02-15 13:53 obones Note Added: 0018363
2011-02-15 13:53 obones Status new => feedback
2011-02-15 13:53 obones Note Added: 0018364
2011-02-15 16:30 caduser File Added: Projects.zip
2011-02-15 16:32 caduser Note Added: 0018368
2011-02-19 10:44 caduser Note Added: 0018390
2011-03-20 09:22 caduser Note Added: 0018460
2011-03-20 09:22 caduser Issue Monitored: caduser
2011-03-30 11:12 caduser Note Added: 0018482
2011-06-07 17:40 obones Status feedback => acknowledged
2011-06-08 14:52 obones Note Added: 0018668
2011-06-08 14:52 obones Status acknowledged => confirmed
2011-06-08 14:53 obones Assigned To => obones
2011-06-08 15:08 obones Note Added: 0018669
2011-06-08 15:08 obones Status confirmed => resolved
2011-06-08 15:08 obones Fixed in Version => Daily / SVN
2011-06-08 15:08 obones Resolution open => fixed
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker